<script lang='ts'>
    export let text = '';
    let isHovered = false;

    function mouseOver(event:MouseEvent) {
        isHovered = true;
    }

    function mouseLeave() {
        isHovered = false;
    }
</script>

<!-- svelte-ignore a11y-no-static-element-interactions -->
<!-- svelte-ignore a11y-mouse-events-have-key-events -->
<div on:mouseover={mouseOver} on:mouseleave={mouseLeave}>
    <slot />
</div>

{#if isHovered}
    <div class="tooltip">{text}</div>
{/if}

<style>
    .tooltip {
        border: 1px solid #ddd;
        box-shadow: 1px 1px 1px #ddd;
        background: #f6f6f6;
        color: #2A2459;
        border-radius: 4px;
        padding: 4px;
        position: fixed;
        bottom: 30px;
        right: 30px;
        width: auto;
        text-align: right;
    }
</style>
